@keyframes fade {
	0% {
		opacity: 0;
		transform: translateY(-30%);
	}
	100% {
		opacity: 1;
	}
}

main {
	min-width: 32.7rem;
	height: 53.5rem;
	background-color: white;
	border-radius: 2.3rem;
	box-shadow: 0px 50px 50px -20px rgba(53, 18, 122, 0.497159);
	margin-top: 5.7rem;
	position: relative;
	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;

	@include lg {
		width: 92rem;
		height: 50.9rem;
		margin-top: 0;
		flex-flow: row;
		justify-content: flex-end;
	}
}

.background {
	position: absolute;
	min-width: 32.7rem;
	height: 100%;
	background: url('../images/bg-pattern-mobile.svg') center top/auto no-repeat;

	@include lg {
		width: 39rem;
		z-index: 1;
		left: 0;
		top: 0;
		background-image: url('../images/bg-pattern-desktop.svg');
		background-repeat: no-repeat;
		background-position-x: 100%;
		background-position-y: 67%;
	}
}

.logo {
	z-index: 1;
	height: 18rem;
	width: 23.7rem;
	background: url('../images/illustration-woman-online-mobile.svg') 100% 0% / auto no-repeat;
	position: absolute;
	top: -10.8rem;
	left: calc(50% - (23.7rem / 2));

	@include lg {
		background: url('../images/illustration-woman-online-desktop.svg') 100% 100% / cover no-repeat;
		width: 39rem;
		height: 35.9rem;
		left: 0;
		top: calc(50% - (35.9rem / 2));
	}
}

.cube {
	display: none;
	@include lg {
		z-index: 1;
		width: 9rem;
		height: 10.6rem;
		left: calc(-9rem / 2);
		display: block;
		position: absolute;
		background: url('../images/illustration-box-desktop.svg') 50% 0% / auto no-repeat;
	}
}

.faq {
	z-index: 1;
	width: 27.9rem;
	height: 35.5rem;
	margin-top: 11rem;

	@include lg {
		width: 35rem;
		height: 36.1rem;
		margin-right: 9.5rem;
		margin-top: unset;
	}
}

.title {
	text-align: center;
	font-weight: var(--font-weight-bold);
	font-size: 3.2rem;
	line-height: 3.7rem;
	color: var(--primary-blue);
	margin-bottom: 1rem;

	@include lg {
		text-align: unset;
		margin-bottom: 2rem;
	}
}

.question-list {
	height: 28.5rem;
	display: flex;
	flex-flow: column;
}

.question-item {
	padding: 1.7rem 0;
	display: flex;
	flex-flow: column;
	border-bottom: 1px solid var(--neutral-divider);
}

.clickable-question {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	cursor: pointer;
	transition: color 0.2s;

	@include hover {
		&:hover > .question {
			color: var(--primary-red);
			transition: color 0.2s;
		}
	}

	&:focus {
		outline: none;
	}
}

.question {
	font-size: 1.3rem;
	line-height: 1.5rem;
	color: var(--neutral-very-blue);

	@include lg {
		font-size: 1.4rem;
		line-height: 1.6rem;
	}

	&-clicked {
		font-weight: var(--font-weight-bold);
	}
}

.collapsed-arrow {
	@extend %arrow;
	transition: transform 0.5s;
}

.expanded-arrow {
	@extend %arrow;
	transition: transform 0.5s;
	transform: rotate(180deg);
}

.response {
	font-size: 1.2rem;
	line-height: 1.8rem;
	color: var(--neutral-blue);
	margin-top: 1.2rem;
	animation: fade 0.5s;
}
